'use strict';

const babel = {
  plugins: [
    [
      require.resolve('babel-plugin-root-import'),
      {
        rootPathPrefix: '~',
        rootPathSuffix: 'src',
      },
    ],
    [
      '@babel/plugin-proposal-object-rest-spread',
      { loose: true, useBuiltIns: true },
    ],
    ['@babel/plugin-proposal-private-methods', { loose: true }],
    ['@babel/plugin-proposal-nullish-coalescing-operator', { loose: true }],
    ['@babel/plugin-proposal-class-properties', { loose: true }],
    ['@babel/plugin-transform-runtime'],
  ],
  presets: [
    ['@babel/preset-env', { targets: 'defaults' }],
    ['@babel/preset-react', { useBuiltIns: true, throwIfNamespace: false }],
    ['@babel/preset-typescript', { isTsx: true }],
  ],
  ignore: ['src/helpers/polyfills/*.js'],
};

module.exports = { babel };
